Doomsday Engine - Feature #1757

Separate server and client sources
2014-04-18 07:50 - skyjake

Status: New Start date: 2014-04-18
Priority: High % Done: 20%
Assignee:

Category: Cleanup

Target version: 3.x

Description

Currently the server is being built from the same source files as the client, using the _ SERVER___ preprocessor definition. The code
should be refactored so that common functionality is placed into libdoomsday that is linked against both the client and server apps,
and that code unique to the server is kept completely separate from the client sources.

This cleanup will ensure that development of both the server and client can continue unimpeded in the future.

Related issues:

Related to Feature #9: Use local server to run single-player games Progressed 2014-04-18
Related to Feature #2015: Remove server-side audio system Progressed  2015-04-22
History

#1 - 2014-04-18 07:50 - skyjake

- Tags changed from Client, Server, Cleanup, SourceCode to Client, Server, Cleanup, SDK

#2 - 2015-04-22 05:39 - danij

- Related to Feature #2015: Remove server-side audio system added

#3 - 2019-11-29 20:15 - skyjake
- Category changed from Redesign to Cleanup

- % Done changed from 0 to 20

#4 - 2019-11-29 20:16 - skyjake

- Description updated

#5 - 2019-11-29 20:17 - skyjake

- Target version set to 3.x
